libsub-uplevel-perl_0.2400-1_all.deb


Advertisement

Description

libsub-uplevel-perl - module to spoof the Perl call stack

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libsub-uplevel-perl
Package version: 0.2400
Package release: 1
Package architecture: all
Package type: deb
Installed size: 66 B
Download size: 15.93 KB
Official Mirror: ftp.br.debian.org
Sub::Uplevel is a Perl module that provides a safe implementation similar to Tcl's uplevel() function. It allows you to safely fool the caller() into thinking it's in a different part of the stack, without knowing that it is being wrapped.

Alternatives

Requires

    Download

    Source package: libsub-uplevel-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libsub-uplevel-perl deb package:
      # sudo apt-get install libsub-uplevel-perl

    Files

    • /usr/share/doc/libsub-uplevel-perl/changelog.Debian.gz
    • /usr/share/doc/libsub-uplevel-perl/changelog.gz
    • /usr/share/doc/libsub-uplevel-perl/copyright
    • /usr/share/doc/libsub-uplevel-perl/examples/uplevel-demo.pl
    • /usr/share/man/man3/Sub::Uplevel.3pm.gz
    • /usr/share/perl5/Sub/Uplevel.pm

    Changelog

    2012-02-21 - Fabrizio Regalli <fabreg@fabreg.it> libsub-uplevel-perl (0.2400-1) unstable; urgency=low [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Salvatore Bonaccorso ] * debian/copyright: Replace DEP5 Format-Specification URL from svn.debian.org to anonscm.debian.org URL. [ Fabrizio Regalli ] * Imported Upstream version 0.2400 * Added myself to Uploaders and Copyright * Bump Standards-Version to 3.9.2 (no changes needed) * Removed no more necessary --with quilt option from d/rules * Bump debhelper to (>= 8) * Updated d/compat to 8 * Removed quilt (>= 0.46-7) from B-D * Switch to dpkg-source 3.0 (quilt) format * Updated d/copyright to latest .174 DEP5 format * Removed no more necessary README.source * Removed no more necessary libsub-uplevel-perl.docs * Updated copyright year for main stanza * Fixed path for GPL-1+ license in d/copyright * Removed 'GNU/Linux' from license text

    2009-11-17 - Jonathan Yu <jawnsy@cpan.org> libsub-uplevel-perl (0.2200-1) unstable; urgency=low [ Jonathan Yu ] * New upstream release * Standards-Version 3.8.3 (drop perl version dependency) * Add myself to Uploaders and Copyright * Use new short debhelper rules file * Refresh copyright information [ gregor herrmann ] * debian/control: Added: ${misc:Depends} to Depends: field. * debian/control: remove build dependencies that are not used anymore. [ Nathan Handler ] * debian/watch: Update to ignore development releases. [ Salvatore Bonaccorso ] * debian/control: Changed: Replace versioned (build-)dependency on perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as permitted by Debian Policy 3.8.3).

    2008-11-23 - gregor herrmann <gregoa@debian.org> libsub-uplevel-perl (0.2002-1) unstable; urgency=low * New upstream release. * Set Standards-Version to 3.8.0; add debian/README.source to document quilt usage. * debian/control: - switch Vcs-Browser field to ViewSVN - change my email address - remove build dependency on libmodule-build-perl, dh7 prefers MakeMaker. * debian/copyright: switch to new format. * Set debhelper compatibility level to 7; adapt debian/{control,compat,rules}.

    2008-02-17 - gregor herrmann <gregor+debian@comodo.priv.at> libsub-uplevel-perl (0.1901-1) unstable; urgency=low * New upstream release. * debian/watch: - add uversionmangle to deal with 2/4-digits upstream versions - extend regexp for mathing upstream tarballs. * Set debhelper compatibility level to 6. * debian/copyright: update years of copyright. * debian/rules: - use $(PERL) instead of perl - remove some comments and empty lines - remove AUTHOR_TESTING evnironment variable, not used anymore by upstream tests - re-enable most author tests by passing --test_files to Build test; add libtest-perl-critic-perl to Build-Depends-Indep * Add /me to Uploaders.

    Advertisement
    Advertisement